# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::PluginViewInterface Class Reference

View plugin class. More...

`#include <plugin.h>`

List of all members.

## Public Member Functions

unsigned int | pluginViewInterfaceNumber () const
virtual void | addView (View *)=0
virtual void | removeView (View *)=0

## Friends

class | PrivatePluginViewInterface

## Detailed Description

View plugin class.

This plugin will be bound to a View

Definition at line 62 of file plugin.h.

The documentation for this class was generated from the following files:

- plugin.h
- ktexteditor.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:16 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003